curl --request POST \
--url https://sandbox-api.borderless.xyz/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Main Account",
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"provider": "Standalone",
"details": {
"assets": [
{
"asset": "ETH",
"address": "0xE79a68B87544ed42Cc5aA805bb056201e7942D3A"
}
]
}
}
'import requests
url = "https://sandbox-api.borderless.xyz/v1/accounts"
payload = {
"name": "Main Account",
"identityId": "cm9db4g2s2r7ro224ra6u1qvl",
"provider": "Standalone",
"details": { "assets": [
{
"asset": "ETH",
"address": "0xE79a68B87544ed42Cc5aA805bb056201e7942D3A"
}
] }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Main Account',
identityId: 'cm9db4g2s2r7ro224ra6u1qvl',
provider: 'Standalone',
details: {
assets: [{asset: 'ETH', address: '0xE79a68B87544ed42Cc5aA805bb056201e7942D3A'}]
}
})
};
fetch('https://sandbox-api.borderless.xyz/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"provider": "Standalone",
"type": "wallet",
"pfi": "Bridge",
"web3Provider": "Utila",
"name": "<string>",
"assets": [
{
"id": "<string>",
"asset": "POL",
"address": "<string>"
}
],
"fiats": [
{
"id": "<string>",
"fiat": "USD"
}
],
"identityId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Create a new Account
Create a new Account using the data provided in the request body.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
- Account
- Standalone Account (deprecated, removal by September 1st, 2026)
- Utila Account (deprecated, removal by September 1st, 2026)
- Dfns Account (deprecated, removal by September 1st, 2026)
A unique identifier for an account, allowing to distinguish it from other accounts.
3 - 50"Main Account"
The id of the identity associated with the account. Learn more at Identity Guide.
25"cm9db4g2s2r7ro224ra6u1qvl"
The provider that manages the account.
Standalone, Dfns, Utila, Infinia, Finity, TripleA, Cobre "Standalone"
The provider-specific account details. The shape depends on the provider.
- Standalone Account
- Dfns Account
- Utila Account
- PFI Account
Show child attributes
Show child attributes
Response
Successfully created Account data.
The provider that manages the account.
Standalone, Dfns, Utila, Infinia, Finity, TripleA, Cobre Deprecated. Will be removed by September 1st, 2026. Use provider instead.
wallet, institution Deprecated. Will be removed by September 1st, 2026. Use provider instead.
Bridge, Koywe, Kotanipay, Hercle, Bitso, Yellowcard, TraceFinance, HoneyCoin, BlindPay, Finity, Infinia, Walapay, Abra, Yativo, Capa, Bivo, Cobre, Avenia, Brale, BVNK, CoinsPH, Iron, Enigma, Kira, TripleA, Onmeta, Alfred, Tazapay, Demo, CrissCross, Pockyt Deprecated. Will be removed by September 1st, 2026. Use provider instead.
Utila, Standalone, MultiProvider, Dfns, NotApplicable Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?